Overview
Retrieves details for a subscription.
URL Parameters
<!--complex table-->
| Name |
Type |
|
Description |
| subscriptionId |
string |
Required |
Unique identifier for the subscription. |
Usage
Example Request
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /platform/v1/ens-subscriptions/d89c87c4-70f8-43d6-be1e-f01dce97fe4c
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
Example Response
HTTP/1.1 200 Success
{
"callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
"callbackName": "cb1",
"url": "https://example.com/",
"maxBatchSize": 1000,
"subscriptionName": "subscriptionName",
"eventCategoryTypes": ["TransactionalSendEvents.EmailNotSent",
"TransactionalSendEvents.EmailSent"],
"subscriptionId": "d89c87c4-70f8-43d6-be1e-f01dce97fe4c",
"filters": ["definitionKey=12345"],
"status": "active",
"statusReason": "none"
}
HTTP Responses
| Response |
Reason |
| 200 Success |
Callback subscription is retrieved. |
| 400 Bad Request |
Invalid request |
| 403 Forbidden |
Failed to pass authorization. |
| 404 Not Found |
Subscription ID doesn’t exist. |
| 500 Server Error |
Internal error |
See Also